﻿using Microsoft.AspNetCore.Components;
using ReportingServices.Blazor.Services;
using ReportingServices.Shared.Blazor.HelperClasses;
using ReportingServices.Shared.Blazor.Models.PlanningReport;

namespace ReportingServices.Blazor.Pages.PlanningReports;

public partial class WeeklyPartChangesReport
{
    public WeeklyPartChanges WeeklyPartChanges { get; set; } = new WeeklyPartChanges();
    public DateTime StartDate { get; set; }
    public DateTime EndDate { get; set; }

    [Inject]
    public AppData? AppData { get; set; }

    [Inject]
    public ScrapeDBService? Db { get; set; }

    protected override async Task OnInitializedAsync()
    {
        await base.OnInitializedAsync();

        int numberOfPartChanges = await Db!.GetPartChangesAsync(AppData!.StartDate, AppData!.EndDate);
        List<ReactorPSNWORuns> reactorPSNWORuns = await Db.GetReactorRunsAsync(AppData!.StartDate, AppData!.EndDate);

        WeeklyPartChanges.TotalPartChanges = numberOfPartChanges;
        WeeklyPartChanges.StartDate = AppData.StartDate.ToShortDateString();
        WeeklyPartChanges.EndDate = AppData.EndDate.ToShortDateString();
        WeeklyPartChanges.ReactorPSNWORuns = reactorPSNWORuns;
    }
}
