﻿using Microsoft.AspNetCore.Components;
using ReportingServices.Blazor.Services;
using ReportingServices.Shared.Blazor.HelperClasses;
using ReportingServices.Shared.Blazor.Models.ProductionReport;

namespace ReportingServices.Blazor.Pages.ProductionReports;

public partial class DailyReport
{
    [Inject]
    public ScrapeDBService Db { get; set; }

    public DateTime StartDate { get; set; }
    public DateTime EndDate { get; set; }
    public DateTime QuarterStartDate { get; set; }
    public QuarterlyTargets Targets { get; set; }
    public OutsAndScrapTotal QTDOutsAndScrap { get; set; }

    protected override async Task OnInitializedAsync()
    {
        QuarterStartDate = await Db.GetQuarterStartDate();
        Targets = await Db.GetTargetsAsync();
        QTDOutsAndScrap = await Db.GetOutsAndScrapAsync(QuarterStartDate, DateTime.Now);

        StartDate = DateTime.Parse(APIHelperFunctions.GetBeginningOfWeekAsAPIString());
        EndDate = DateTime.Now;

        base.OnInitializedAsync();
    }
}
